Galon Cloud
Galon API v1

/suppressions

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /suppressions

List the suppression list

Key created with the full_access permission (same rule as /domains).

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
limitqueryinteger
afterquerystringcursor of the next page
emailquerystring

Responses

StatusDescriptionBody
200Page of suppressionsobject
403api_key_permission_insufficientError
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/suppressions" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.suppressions.list({ limit: 20 });

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.suppressions.list({"limit": 20})

POST /suppressions

Add addresses to the suppression list

Key created with the full_access permission (same rule as /domains). 1 to 1 000 addresses per call.

API key (Bearer), on the public API endpoint.

Request body

application/json

FieldTypeDescription
emailsarray<string> · required

Responses

StatusDescriptionBody
201Addresses addedobject
403scope_missing, api_key_permission_insufficientError
422Invalid bodyError
401Key missing or invalidError

Examples

curl

curl -X POST "$GALON_API_BASE/suppressions" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"emails": ["ana@example.com"]}'

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.suppressions.create({"emails": ["ana@example.com"]});

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.suppressions.create({"emails": ["ana@example.com"]})